Module java.corba
Package org.omg.PortableServer

## Class IdAssignmentPolicyValue

- java.lang.Object
- - org.omg.PortableServer.IdAssignmentPolicyValue

All Implemented Interfaces:
  Serializable, IDLEntity

    public class IdAssignmentPolicyValue
    extends Object
    implements IDLEntity

The IdAssignmentPolicyValue can have the following values. USER_ID - Objects created with that POA are assigned Object Ids only by the application. SYSTEM_ID - Objects created with that POA are assigned Object Ids only by the POA. If the POA also has the PERSISTENT policy, assigned Object Ids must be unique across all instantiations of the same POA.

### Field Summary

Fields
`static int` `_SYSTEM_ID`
`static int` `_USER_ID`
`static IdAssignmentPolicyValue` `SYSTEM_ID`
`static IdAssignmentPolicyValue` `USER_ID`

### Constructor Summary

Constructors
`protected` `IdAssignmentPolicyValue(int value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static IdAssignmentPolicyValue` `from_int(int value)`
`int` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _SYSTEM_ID

    public static final int _SYSTEM_ID

See Also:
  Constant Field Values

#### _USER_ID

    public static final int _USER_ID

See Also:
  Constant Field Values

#### SYSTEM_ID

    public static final IdAssignmentPolicyValue SYSTEM_ID

#### USER_ID

    public static final IdAssignmentPolicyValue USER_ID

### Constructor Detail

#### IdAssignmentPolicyValue

    protected IdAssignmentPolicyValue(int value)

### Method Detail

#### value

    public int value()

#### from_int

    public static IdAssignmentPolicyValue from_int(int value)